%define	name	gnome-alsamixer
%define version 0.9.7
# Many other major distros are also using SVN snapshots (inc. Debian).
# It includes useful updates and apparently no regressions from 0.9.6.
# - AdamW 2007/06
%define svn	205
%if %svn
%define release %mkrel 0.%svn.1
%else
%define release %mkrel 1
%endif
%define schemas %name

Name:		%{name}
Summary:	ALSA mixer (volume control) for GNOME
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound 
URL:		http://www.paw.co.za/projects/gnome-alsamixer/
%if %svn
Source0:	%{name}-%{svn}.tar.bz2
%else
Source0:	ftp://ftp.paw.co.za/pub/PAW/sources/%{name}-%{version}.tar.bz2
%endif
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
Patch0:	gnome-alsamixer-0.9.6-deprecation.patch
# From ALT Linux: introduce the gconf schema, which is missing 
# upstream, and correct the paths to it - AdamW 2007/06
Patch1:	change_gconf-keys_path.diff
Patch2:	gnome-alsamixer.schemas.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	alsa-lib-devel >= 0.9.0 libgnomeui2-devel
%if %svn
BuildRequires:	autoconf
%else
BuildRequires:	automake1.4
%endif

%description
A sound mixer (volume control) for ALSA, built for the GNOME desktop
environment.

%prep
%if %svn
%setup -q -n %{name}
%else
%setup -q
%endif
%patch0 -p1 -b .deprecated
%patch1 -p1 -b .gconf_keys
%patch2 -p1 -b .schema

%build
%if %svn
./autogen.sh
%else
automake-1.4
%endif
export CPPFLAGS=-I%_includedir/alsa
%configure2_5x --disable-schemas-install
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=GNOME ALSA mixer
Comment=GNOME ALSA mixer (volume control)
Exec=%{name}
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=;Audio;Mixer;GTK;GNOME;
EOF

# icon
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%{find_lang} %{name}

%post
%{update_menus}
%post_install_gconf_schemas %{schemas}
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas %{schemas}
%clean_icon_cache hicolor

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS INSTALL 
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/%name.schemas
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/pixmaps/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png


%changelog
* Wed Jul 04 2007 Adam Williamson <awilliamson@mandriva.com> 0.9.7-0.205.1mdv2008.0
+ Revision: 47823
- rebuild for 2008
- drop sourced nb.po as it's in upstream now
- improve descriptions
- add fd.o icons
- drop X-Mandriva menu category
- drop old menu
- add patch1 and patch2 from ALT to fix gconf schema
- bump to current SVN (everyone else is doing it...)
- Import gnome-alsamixer



* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 0.9.6-5mdv2007.0
- xdg menu

* Sun Jun 18 2006 Stefan van der Eijk <stefan@eijk.nu.lurtspam> 0.9.6-4
- rebuild for png
- %%mkrel

* Wed May 03 2006 Stefan van der Eijk <stefan@eijk.nu> 0.9.6-3mdk
-_rebuild_for_sparc

* Wed Apr 27 2005 Gtz Waschk <waschk@mandriva.org> 0.9.6-2mdk
- patch for deprecated GNOME API
- fix build with new alsa

* Sun Jan 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.6-1mdk
- 0.9.6
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- don't bzip2 icons in src.rpm
- cosmetics
- fix buildrequires (lib64..)
- added nb translation (S1, do it manually, wait for merge upstream in stead of patching makefiles)

* Mon Sep  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- fix buildrequires
- new version

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-1mdk
- new version

* Sun Jul 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-6mdk
- rebuild for new ORBit2

* Tue Jun 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-5mdk
- macro fixes
- fix requires and buildrequires 

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-4mdk
- buildrequires

* Tue Apr 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-3mdk
- fix buildrequires

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.3-2mdk
- link with latest libopenssl

* Mon Jan 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Thu Dec 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- from Matthias Debus <psic4t@netbands.de> :
	- new version

* Mon Nov 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- added menu icons
- from Matthias Debus <psic4t@netbands.de> :
	- initial contrib package
